@import './../../../../scss/variables.scss';

.section {
  text-align: center;
  padding-bottom: 3rem;
}

.posts {
  background-color: $grey-background-color;

  .item {
    padding: 1rem 1rem;
    color: $brand-color;

    img {
      max-height: 10rem;
      filter: grayscale(100%);
      transition: filter 0.5s ease-in-out;
    }

    a {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }

    a:hover {
      text-decoration: none;
      color: $brand-color;
    }

    &:hover {
      background-color: rgb(236, 244, 247);

      h3 {
        color: $tomato-color;
      }

      img {
        filter: grayscale(0);
      }
    }
  }
}
